using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WPFYifis2
{
    /// <summary>
    /// Логика взаимодействия для Window1.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

        }

        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {

        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Label1.Content = Presenter.Singleton.LoggedUser.Name;
            Label2.Content = Presenter.Singleton.LoggedUser.MiddleName;
            Label3.Content = Presenter.Singleton.LoggedUser.Surname;
            Label4.Content = Presenter.Singleton.LoggedUser.PhoneNumber;
            Label5.Content = Presenter.Singleton.LoggedUser.Email;
            Label6.Content = Presenter.Singleton.LoggedUser.DateOfBirth;
        }

        private void Button2_Click(object sender, RoutedEventArgs e)
        {
            new JumpWindow().Show();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            new LessonsWindow().Show();
        }
    }
}
